* {
    box-sizing: border-box;
}

body {
    
}
h1{
    font-size: 24px;
}
h2{
    font-size: 18px;
}

/* ボタン */
.open-btn {
    background: url(../images/btn-plus.svg) left center no-repeat;
    background-size: 1.4em 1.4em;
    padding-left: 2em;
    font-size: 1rem;
    color: #45bbec;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.open-btn:hover {
    opacity: 0.85;
}

.close-btn {
    margin: 0 auto;
    font-size: 1.6rem;
    background: transparent;
    border: none;
    cursor: pointer;
    transition: transform 0.3s ease;
}
.xmark {
    display: block;
    content: '×';
    margin: auto;
    background: #464646;
    border-radius: 99em;
    width: 2rem;
    height: 2rem;
    font-size: 2rem;
    line-height: 2rem;
    text-align: center;
    color: #ffffff;
}

/* モーダル背景 */
.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background: rgba(79, 79, 79, 0.5);
    z-index: 1000;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
}

/* モーダル表示状態 */
.modal.active {
    display: flex;
    opacity: 1;
    pointer-events: auto;
}

/* モーダルの中身*/
.modal-content {
    background: #fff;
    padding: 2rem 3rem;
    border-radius: 10px;
    width: 80vw;
    max-width: 1100px;
    max-height: 90vh;
    text-align: center;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
    position: relative;
    opacity: 0;
    transform: scale(0.8);
    transition: all 0.3s ease;
    overflow-y: scroll;
}

.modal-content h3 {
    margin-bottom: 1rem;
    font-size: 2.125em;
    line-height: 1.2em;
    color: #875732;
}
.modal-content h3 span {
    color: #f17592;
}
.modal-content p {
    margin-bottom: 1rem;
    padding-bottom: 1rem;
    border-bottom: 1px dotted #8d8d8d;
    font-size: 1.125em;
    line-height: 1.6em;
    color: #875732;
}
.modal-content dl {
    display: flex;
    justify-content: center;
    margin-bottom: 2rem;
    gap: 0.5em;
}
@media (max-width: 767px) {
    .modal-content dl {
        flex-direction: column;
    }
}
.modal-content dl dt {
    display: inline-block;
    background: #def4f5;
    padding: 0 0.5em;
    font-size: 1rem;
    line-height: 2.2em;
}
.modal-content dl dd {
    font-size: 1rem;
    line-height: 2.2em;
}

/* アニメーション*/
.modal.active .modal-content {
    animation: fadeInScale 0.4s ease forwards;
}

@keyframes fadeInScale {
    0% {
        opacity: 0;
        transform: scale(0.8);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}